## wml 1.6.4

=== wml_backend/p2_mhc/libutils/bprintf/Makefile ===
# This Makefile for the bprintf library is in -*- Text -*- mode for Emacs.
# Copyright (c) 1995 Brian J. Fox
# Author: Brian J. Fox (bfox@ai.mit.edu)
#
RM = rm -f
LN = ln
CP = cp
MV = mv
AR = ar
RANLIB = ranlib
MKDIR = mkdir
TAR = tar
LIBCOMPAT = ../compat/libcompat.a
EXE =
srcdir = .

#
# ALL_SUBDIRS is the list of all of the subdirectories within which we
# would like to run various `make's, or ".", which means that there
# are no subdirectories.
ALL_SUBDIRS = .

VERSION = 1.1
DISTNAME = bprintf-$(VERSION)

CC = gcc
OPTIMIZE_FLAGS = -O2
DEBUG_FLAGS = -g
CFLAGS = -Wall -Wstrict-prototypes  $(OPTIMIZE_FLAGS) $(DEBUG_FLAGS) -I..
LDFLAGS = $(OPTIMIZE_FLAGS) $(DEBUG_FLAGS)

LIB_CSRC = bprintf.c
LIB_HSRC = bprintf.h
LIB_OBJS = bprintf.o

TARGET_LIB = libbprintf.a
TEST_PROGS = bprintf-test$(EXE)

REQUIRED_LIBS = ../xmalloc/libxmalloc.a $(LIBCOMPAT)

TARGETS = $(TARGET_LIB) # $(TEST_PROGS)

all: $(TARGETS)

$(TARGET_LIB): $(LIB_OBJS)
	$(RM) $@
	$(AR) cq $@ $(LIB_OBJS)
	@if [ "$(RANLIB)" ]; then $(RANLIB) $@; fi

bprintf-test$(EXE): bprintf-test.o $(TARGET_LIB) $(REQUIRED_LIBS)
	$(CC) $(LDFLAGS) -o $@ bprintf-test.o $(TARGET_LIB) $(REQUIRED_LIBS)

../xmalloc/libxmalloc.a:
	(cd ../xmalloc; $(MAKE) $(MFLAGS))

../compat/libcompat.a:
	(cd ../compat; $(MAKE))

clean: FORCE
	$(RM) $(LIB_OBJS) $(TARGETS)

distclean: clean
	$(RM) *.o *core* *~ DISTFILES *.bak

dist: DISTFILES
	$(RM) -rf $(DISTNAME)
	$(MKDIR) $(DISTNAME)
	for d in `find $(ALL_SUBDIRS) -type d -print`; do \
	  if [ "$$d" != "." -a "$$d" != "./$(DISTNAME)" ]; then \
	    mkdir $(DISTNAME)/$$d; \
	  fi \
	done
	for f in `cat DISTFILES`; do \
	   $(LN) $(srcdir)/$$f $(DISTNAME)/$$f || \
		{ echo copying $$f; cp -p $(srcdir)/$$f $(DISTNAME)/$$f ; } \
	done
	(cd $(DISTNAME); $(MAKE) $(MFLAGS) distclean)
	$(TAR) chvf - $(DISTNAME) | gzip >$(DISTNAME).tar.gz
	$(RM) -rf $(DISTNAME)

# Gets rid of most of the unwanted files.  Verify manually (if necessary)
# that this produces a list of all the files desired in the distribution. 
DISTFILES: FORCE
	$(RM) -rf $(DISTNAME)
	(cd $(srcdir); find . ! -type d -print) \
	| sed  '/\/RCS\//d; \
	       /\/EMACS-BACKUPS\//d; \
	       /\.tar.*/d; \
	       /~$$/d; /\.o$$/d; \
	       /\/config\.status$$/d; \
	       /\/.*\.BAK$$/d; \
	       /\/TAGS$$/d; \
	       /\/core$$/d; \
	       /\/[a-z]*\.core$$/d; \
	       /\/core\.[a-z]*$$/d; \
	       /\/a.out$$/d; \
	       /\/=/d; \
	       /\/conftest\.c$$/d; \
	       /\/DISTFILES$$/d; \
	       /\/xact\/xact$$/d; \
	       /\.toc$$/d; \
	       /\.aux$$/d; /\.log$$/d; \
	       /\.cps$$/d; /\.cp$$/d; \
	       /\.fns$$/d; /\.fn$$/d; \
	       /\.tps$$/d; /\.tp$$/d; \
	       /\.vrs$$/d; /\.vr$$/d; \
	       /\.pgs$$/d; /\.pg$$/d; \
	       /\.kys$$/d; /\.ky$$/d; \
	       s/^.\///; /^\.$$/d;' \
	| sort | uniq > DISTFILES


FORCE:

=== wml_backend/p2_mhc/libutils/tcp/Makefile ===
# This Makefile for the TCP library is in -*- Text -*- mode for Emacs.
#
# Copyright (c) 1995 Brian J. Fox
# Author: Brian J. Fox (bfox@ai.mit.edu)

RM = rm -f
LN = ln
CP = cp
MV = mv
AR = ar
RANLIB = ranlib
MKDIR = mkdir
TAR = tar

CC = gcc
# OPTIMIZE_FLAGS = -O2
DEBUG_FLAGS = -g
CFLAGS = -Wall -Wstrict-prototypes $(DEFS) $(OPTIMIZE_FLAGS) $(DEBUG_FLAGS) \
	 -I..
INCLUDES = 

LIB_CSRC = tcp.c
LIB_HSRC = tcp.h
LIB_OBJS = tcp.o

TARGET_LIB = libtcp.a
TEST_PROGS = 

REQUIRED_LIBS = ../xmalloc/libxmalloc.a

TARGETS = $(TARGET_LIB) $(TEST_PROGS)

.c.o:
	$(CC) $(CFLAGS) $(DEFS) $(INCLUDES) -c $<

all: $(TARGETS)

$(TARGET_LIB): $(LIB_OBJS)
	$(RM) $@
	$(AR) cq $@ $(LIB_OBJS)
	@if [ "$(RANLIB)" ]; then $(RANLIB) $@; fi

../xmalloc/libxmalloc.a:
	(cd ../xmalloc; $(MAKE) $(MFLAGS))

clean: FORCE
	$(RM) $(LIB_OBJS) $(TARGETS) *.o

distclean: clean
	$(RM) *.o *core* *~ DISTFILES *.bak

FORCE:

=== wml_backend/p2_mhc/libutils/wisper/Makefile ===
# This Makefile for the wisper library is in -*- Text -*- mode for Emacs.
#
# Copyright (c) 1995 Brian J. Fox
# Author: Brian J. Fox (bfox@ai.mit.edu)

RM = rm -f
LN = ln
CP = cp
MV = mv
AR = ar
RANLIB = ranlib
MKDIR = mkdir
TAR = tar

srcdir = .

#
# ALL_SUBDIRS is the list of all of the subdirectories within which we
# would like to run various `make's, or ".", which means that there
# are no subdirectories.
ALL_SUBDIRS = .

VERSION = 1.3
DISTNAME = wisper-$(VERSION)

CC = gcc
OPTIMIZE_FLAGS = -O2
DEBUG_FLAGS = -g
CFLAGS = -Wall -Wstrict-prototypes  $(OPTIMIZE_FLAGS) $(DEBUG_FLAGS) -I..
INCLUDES = ../regex

LIB_CSRC = wisp.c
LIB_HSRC = wisp.h
LIB_OBJS = wisp.o

TARGET_LIB = libwisper.a
TEST_PROGS = wisp-test-reader$(EXE) wisp-test-assoc$(EXE) \
	     wisp-test-append$(EXE) # phone$(EXE)

REQUIRED_LIBS = ../xmalloc/libxmalloc.a

TARGETS = $(TARGET_LIB) # $(TEST_PROGS)

all: $(TARGETS)

$(TARGET_LIB): $(LIB_OBJS)
	$(RM) $@
	$(AR) cq $@ $(LIB_OBJS)
	@if [ "$(RANLIB)" ]; then $(RANLIB) $@; fi

wisp-test-reader$(EXE): wisp-test-reader.o $(TARGET_LIB) $(REQUIRED_LIBS)
	$(CC) $(CFLAGS) -o $@ wisp-test-reader.o $(TARGET_LIB) $(REQUIRED_LIBS)

wisp-test-assoc$(EXE): wisp-test-assoc.o $(TARGET_LIB) $(REQUIRED_LIBS)
	$(CC) $(CFLAGS) -o $@ wisp-test-assoc.o $(TARGET_LIB) $(REQUIRED_LIBS)

wisp-test-append$(EXE): wisp-test-append.o $(TARGET_LIB) $(REQUIRED_LIBS)
	$(CC) $(CFLAGS) -o $@ wisp-test-append.o $(TARGET_LIB) $(REQUIRED_LIBS)

phone$(EXE): phone.o $(TARGET_LIB) $(REQUIRED_LIBS)
	$(CC) $(CFLAGS) -o $@ phone.o $(TARGET_LIB) $(REQUIRED_LIBS)

rolodex$(EXE): phone$(EXE)
	rm -f rolodex$(EXE)
	ln phone$(EXE) rolodex$(EXE)

../xmalloc/libxmalloc.a:
	(cd ../xmalloc; $(MAKE) $(MFLAGS))

clean: FORCE
	$(RM) $(LIB_OBJS) $(TARGETS) *.o

distclean: clean
	$(RM) *.o *core* *~ DISTFILES *.bak $(TEST_PROGS) rolodex phone 

dist: DISTFILES
	$(RM) -rf $(DISTNAME)
	$(MKDIR) $(DISTNAME)
	for d in `find $(ALL_SUBDIRS) -type d -print`; do \
	  if [ "$$d" != "." -a "$$d" != "./$(DISTNAME)" ]; then \
	    mkdir $(DISTNAME)/$$d; \
	  fi \
	done
	for f in `cat DISTFILES`; do \
	   $(LN) $(srcdir)/$$f $(DISTNAME)/$$f || \
		{ echo copying $$f; cp -p $(srcdir)/$$f $(DISTNAME)/$$f ; } \
	done
	(cd $(DISTNAME); $(MAKE) $(MFLAGS) distclean)
	$(TAR) chvf - $(DISTNAME) | gzip >$(DISTNAME).tar.gz
	$(RM) -rf $(DISTNAME)

# Gets rid of most of the unwanted files.  Verify manually (if necessary)
# that this produces a list of all the files desired in the distribution. 
DISTFILES: FORCE
	$(RM) -rf $(DISTNAME)
	(cd $(srcdir); find . ! -type d -print) \
	| sed  '/\/RCS\//d; \
	       /\/EMACS-BACKUPS\//d; \
	       /\.tar.*/d; \
	       /~$$/d; /\.o$$/d; \
	       /\/config\.status$$/d; \
	       /\/.*\.BAK$$/d; \
	       /\/TAGS$$/d; \
	       /\/core$$/d; \
	       /\/[a-z]*\.core$$/d; \
	       /\/core\.[a-z]*$$/d; \
	       /\/a.out$$/d; \
	       /\/=/d; \
	       /\/conftest\.c$$/d; \
	       /\/DISTFILES$$/d; \
	       /\/xact\/xact$$/d; \
	       /\.toc$$/d; \
	       /\.aux$$/d; /\.log$$/d; \
	       /\.cps$$/d; /\.cp$$/d; \
	       /\.fns$$/d; /\.fn$$/d; \
	       /\.tps$$/d; /\.tp$$/d; \
	       /\.vrs$$/d; /\.vr$$/d; \
	       /\.pgs$$/d; /\.pg$$/d; \
	       /\.kys$$/d; /\.ky$$/d; \
	       s/^.\///; /^\.$$/d;' \
	| sort | uniq > DISTFILES


FORCE:

## wml 1.6.8

=== wml_backend/p2_mhc/libutils/xmalloc/Makefile ===
# This Makefile for the XMALLOC library is in -*- Text -*- mode for Emacs.
# Copyright (c) 1995 Brian J. Fox
# Author: Brian J. Fox (bfox@ai.mit.edu)
#
RM = rm -f
LN = ln
CP = cp
MV = mv
AR = ar
RANLIB = ranlib
MKDIR = mkdir
TAR = tar

srcdir = .

#
# ALL_SUBDIRS is the list of all of the subdirectories within which we
# would like to run various `make's, or ".", which means that there
# are no subdirectories.
ALL_SUBDIRS = .

VERSION = 1.0
DISTNAME = xmalloc-$(VERSION)

CC = gcc
OPTIMIZE_FLAGS = -O2
# DEBUG_FLAGS = -g
CFLAGS = -Wall -Wstrict-prototypes  $(OPTIMIZE_FLAGS) $(DEBUG_FLAGS)
LDFLAGS = $(CFLAGS)
INCLUDES = -I../..

LIB_CSRC = xmalloc.c
LIB_HSRC = xmalloc.h
LIB_OBJS = xmalloc.o

TARGET_LIB = libxmalloc.a
TEST_PROGS = 

REQUIRED_LIBS = 

TARGETS = $(TARGET_LIB) $(TEST_PROGS)

.c.o:
	$(CC) $(CFLAGS) $(DEFS) $(INCLUDES) -c $<

all: $(TARGETS)

$(TARGET_LIB): $(LIB_OBJS)
	$(RM) $@
	$(AR) cq $@ $(LIB_OBJS)
	@if [ "$(RANLIB)" ]; then $(RANLIB) $@; fi

clean: FORCE
	$(RM) $(LIB_OBJS) $(TARGETS)

distclean: clean
	$(RM) *.o *core* *~ DISTFILES *.bak

dist: DISTFILES
	$(RM) -rf $(DISTNAME)
	$(MKDIR) $(DISTNAME)
	for d in `find $(ALL_SUBDIRS) -type d -print`; do \
	  if [ "$$d" != "." -a "$$d" != "./$(DISTNAME)" ]; then \
	    mkdir $(DISTNAME)/$$d; \
	  fi \
	done
	for f in `cat DISTFILES`; do \
	   $(LN) $(srcdir)/$$f $(DISTNAME)/$$f || \
		{ echo copying $$f; cp -p $(srcdir)/$$f $(DISTNAME)/$$f ; } \
	done
	(cd $(DISTNAME); $(MAKE) $(MFLAGS) distclean)
	$(TAR) chvf - $(DISTNAME) | gzip >$(DISTNAME).tar.gz
	$(RM) -rf $(DISTNAME)

# Gets rid of most of the unwanted files.  Verify manually (if necessary)
# that this produces a list of all the files desired in the distribution. 
DISTFILES: FORCE
	$(RM) -rf $(DISTNAME)
	(cd $(srcdir); find . ! -type d -print) \
	| sed  '/\/RCS\//d; \
	       /\/EMACS-BACKUPS\//d; \
	       /\.tar.*/d; \
	       /~$$/d; /\.o$$/d; \
	       /\/config\.status$$/d; \
	       /\/.*\.BAK$$/d; \
	       /\/TAGS$$/d; \
	       /\/core$$/d; \
	       /\/[a-z]*\.core$$/d; \
	       /\/core\.[a-z]*$$/d; \
	       /\/a.out$$/d; \
	       /\/=/d; \
	       /\/conftest\.c$$/d; \
	       /\/DISTFILES$$/d; \
	       /\/xact\/xact$$/d; \
	       /\.toc$$/d; \
	       /\.aux$$/d; /\.log$$/d; \
	       /\.cps$$/d; /\.cp$$/d; \
	       /\.fns$$/d; /\.fn$$/d; \
	       /\.tps$$/d; /\.tp$$/d; \
	       /\.vrs$$/d; /\.vr$$/d; \
	       /\.pgs$$/d; /\.pg$$/d; \
	       /\.kys$$/d; /\.ky$$/d; \
	       s/^.\///; /^\.$$/d;' \
	| sort | uniq > DISTFILES


FORCE:

## wml 1.7.4

=== wml_backend/p2_mhc/doc/Makefile ===
##
##  wml_backend/p2_mhc/doc/Makefile
##  Copyright (c) 1999 Denis Barbier
##
## This file is part of the WML program, see the file
## ../../../COPYRIGHT for details on copyright

## Maintaining accurate documentation on wml_p2_mhc is not an
## easy task, because the way mhc is used inside meta-html and wml
## are very different.
## As for now, the wml_p2_mhc documentation is a stripped down version
## of the meta-html doc, containing only the chapters included into
## wml_p2_mhc. To help maintenance, i wrote make-doc.mhtml, which is a
## modified version of make-printable.mhtml. It allows automatic
## generation from the documented sources.

## The metahtml.txt is included into distributions, because it needs
## some packages people may not have (tex, texinfo, tex2html).
## The metahtml.txt should *not* be modified. Update either the C source
## files or the make-doc.mhtml files.

## To build metahtml.html,
## * get the original meta-html documentation
##   After unpacking metahtml-x.yz.tar.gz
##        mv metahtml-x.yz/doc/manual .
## * type `make'

## What is the simplest way to convert metahtml.html into metahtml.txt?

DOCDIR	= manual
MHC	= ../../mhc/mhc \
		--set mhtml::include-prefix . \
		--set header-already-included true

all: check-directory metahtml.txt

check-directory:
	@test -d manual \
		|| { echo "Please read this Makefile for instructions"; exit 1; }

metahtml.txt: $(DOCDIR)/metahtml.html
	lynx -dump -nolist $< > $@

$(DOCDIR)/metahtml.html: $(DOCDIR)/metahtml.texi
	cd $(DOCDIR); \
	  tex metahtml.texi; \
	  texindex metahtml.??; \
	  sed -e "/\\\\initial/d" -e "s/\\\\entry {\\\\code/'xrdef/" \
		-e "s/}}{/-pg}{/" metahtml.fns >> metahtml.aux; \
	  cp metahtml.aux metahtml.newaux; \
	  tex metahtml.texi; \
	  sed -e "/\\\\initial/d" -e "s/\\\\entry {\\\\code/'xrdef/" \
		-e "s/}}{/-pg}{/" metahtml.fns >> metahtml.aux; \
	  cp metahtml.aux metahtml.newaux; \
	  texi2html metahtml.texi
	sed -e 's,@xref{\([^}]*\)},\1 (<i>not included in this document</i>),' $@ > $@.tmp && mv $@.tmp $@

$(DOCDIR)/metahtml.texi: make-doc.mhtml $(DOCDIR)/sections.db.packed
	cd $(DOCDIR); $(MHC) ../make-doc.mhtml |\
	  sed -e 's/^[ 	]*@/@/' |\
	  perl -e '$$/=undef; $$_=<STDIN>; s/^[\s]*(\\input texinfo)/\1/m; print;' > ../$@
## These last 2 lines are needed to fix bugs in texi2html

$(DOCDIR)/sections.db.packed: ../libmhtml/sections.db.packed
	cp ../libmhtml/*.db.packed $(DOCDIR)

../libmhtml/sections.db.packed:
	cd ../libmhtml; $(MAKE) sections.db.packed

=== wml_backend/p2_mhc/libutils/bprintf/Makefile ===
--- 
+++ 
@@ -23,11 +23,7 @@
 VERSION = 1.1
 DISTNAME = bprintf-$(VERSION)
 
-CC = gcc
-OPTIMIZE_FLAGS = -O2
-DEBUG_FLAGS = -g
-CFLAGS = -Wall -Wstrict-prototypes  $(OPTIMIZE_FLAGS) $(DEBUG_FLAGS) -I..
-LDFLAGS = $(OPTIMIZE_FLAGS) $(DEBUG_FLAGS)
+LDFLAGS =
 
 LIB_CSRC = bprintf.c
 LIB_HSRC = bprintf.h
@@ -45,10 +41,13 @@
 $(TARGET_LIB): $(LIB_OBJS)
 	$(RM) $@
 	$(AR) cq $@ $(LIB_OBJS)
-	@if [ "$(RANLIB)" ]; then $(RANLIB) $@; fi
+	$(RANLIB) $@
 
 bprintf-test$(EXE): bprintf-test.o $(TARGET_LIB) $(REQUIRED_LIBS)
 	$(CC) $(LDFLAGS) -o $@ bprintf-test.o $(TARGET_LIB) $(REQUIRED_LIBS)
+
+bprintf.o: bprintf.c bprintf.h
+	$(CC) -c -I.. $(CFLAGS) $*.c
 
 ../xmalloc/libxmalloc.a:
 	(cd ../xmalloc; $(MAKE) $(MFLAGS))

=== wml_backend/p2_mhc/libutils/wisper/Makefile ===
--- 
+++ 
@@ -23,10 +23,6 @@
 VERSION = 1.3
 DISTNAME = wisper-$(VERSION)
 
-CC = gcc
-OPTIMIZE_FLAGS = -O2
-DEBUG_FLAGS = -g
-CFLAGS = -Wall -Wstrict-prototypes  $(OPTIMIZE_FLAGS) $(DEBUG_FLAGS) -I..
 INCLUDES = ../regex
 
 LIB_CSRC = wisp.c
@@ -46,7 +42,10 @@
 $(TARGET_LIB): $(LIB_OBJS)
 	$(RM) $@
 	$(AR) cq $@ $(LIB_OBJS)
-	@if [ "$(RANLIB)" ]; then $(RANLIB) $@; fi
+	$(RANLIB) $@
+
+wisp.o: wisp.c wisp.h
+	$(CC) -I.. -c $(CFLAGS) $*.c
 
 wisp-test-reader$(EXE): wisp-test-reader.o $(TARGET_LIB) $(REQUIRED_LIBS)
 	$(CC) $(CFLAGS) -o $@ wisp-test-reader.o $(TARGET_LIB) $(REQUIRED_LIBS)

=== wml_backend/p2_mhc/libutils/xmalloc/Makefile ===
--- 
+++ 
@@ -23,7 +23,7 @@
 DISTNAME = xmalloc-$(VERSION)
 
 CC = gcc
-OPTIMIZE_FLAGS = -O2
+OPTIMIZE_FLAGS = -O69
 # DEBUG_FLAGS = -g
 CFLAGS = -Wall -Wstrict-prototypes  $(OPTIMIZE_FLAGS) $(DEBUG_FLAGS)
 LDFLAGS = $(CFLAGS)
@@ -48,7 +48,7 @@
 $(TARGET_LIB): $(LIB_OBJS)
 	$(RM) $@
 	$(AR) cq $@ $(LIB_OBJS)
-	@if [ "$(RANLIB)" ]; then $(RANLIB) $@; fi
+	$(RANLIB) $@
 
 clean: FORCE
 	$(RM) $(LIB_OBJS) $(TARGETS)

## wml 2.0.8

=== config/Makefile ===

all: ../configure

../configure: configure.in aclocal.m4
	rm -f ../configure
	autoconf configure.in >../configure
	./configure.fixit ../configure
	chmod a+x ../configure

clean:

distclean:
	-rm -f ../config.status ../config.cache ../config.log

realclean: distclean
	-rm -f ../configure

=== wml_backend/p2_mp4h/packages/WML/Makefile ===

all clean install:
	@:

distclean:
	-rm -f Makefile

## wml 2.0.11

=== config/Makefile ===
MP4H_DIR = ../wml_backend/p2_mp4h
MP4H_min = $(MP4H_DIR)/Makefile.in
MP4H_cfg = $(MP4H_DIR)/configure

all: run_modules_file $(MP4H_min) $(MP4H_cfg) ../configure noautocache 

../configure: configure.in aclocal.m4
	rm -f ../configure
	autoconf configure.in >../configure
	./configure.fixit ../configure
	chmod a+x ../configure

$(MP4H_min): $(MP4H_DIR)/Makefile.am
	cd $(MP4H_DIR) && automake

$(MP4H_cfg): $(MP4H_DIR)/configure.ac
	cd $(MP4H_DIR) && autoconf

clean:

distclean:
	-rm -f ../config.status ../config.cache ../config.log

realclean: distclean
	-rm -f ../configure

noautocache:
	rm -fr autom4te.cache

run_modules_file:
	sh prep_modules_files.sh

## wml 2.0.12ds1

=== config/Makefile ===
--- 
+++ 
@@ -4,9 +4,9 @@
 
 all: run_modules_file $(MP4H_min) $(MP4H_cfg) ../configure noautocache 
 
-../configure: configure.in aclocal.m4
+../configure: configure.ac aclocal.m4
 	rm -f ../configure
-	autoconf configure.in >../configure
+	autoconf configure.ac >../configure
 	./configure.fixit ../configure
 	chmod a+x ../configure

=== debian/changelog ===
wml (2.0.12ds1-9build1) xenial; urgency=medium

  * No-change rebuild for perl 5.22.1.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 18 Dec 2015 15:07:49 -0500

wml (2.0.12ds1-9) unstable; urgency=medium

  * Add patch to remove built_user and built_date autoconf-style variables
    from wml.src. This makes the build more reproducible.
  * fix-WML_VERSION-in-manpage.diff: Don't use pod2man in a pipe to let
    pod2man determine the command-name automatically. (Closes: #777469)
  * Update Homepage header to point to new website and debian/copyright to
    point to Git repo at bitbucket.org (which was previously used as
    Homepage header) instead of the no more working download page at
    thewml.org.
  * debian/rules:
    + get-orig-source: Remove -r options from rm calls where not needed.
    + Remove obsolete dh_installchangelogs override. That dh bug is fixed.
  * Revamp debian/copyright:
    + Convert to machine-readable DEP5 format
    + Update Heiko Schlittermann's e-mail address Thanks DUCK!
    + Add http://sourceforge.net/projects/thewml.berlios/files/ to sources
    + Update copyright years of Debian packaging
    + Use Files-Excluded in addition to the get-orig-source target
    + Add proper copyright statements for wml_common/*/.
      - Update Shigio Yamaguchi e-mail address. Thanks DUCK + MetaCPAN!
    + Remove UTF-8 BOM so that lintian recognizes the file as DEP5.

 -- Axel Beckert <abe@debian.org>  Sat, 06 Jun 2015 12:00:00 +0200

wml (2.0.12ds1-8) unstable; urgency=low

  * Add DEP3 patch headers to all patches
  * Extend pass-ldflags-to-wml-gd.diff to also pass CFLAGS and CPPFLAGS
    properly. Fixes build log scanner warning dpkg-buildflags-missing.
  * Bump Standards-Version to 3.9.6 (no changes needed)
  * Switch Vcs-Browser header to new cgit web interface and https.

 -- Axel Beckert <abe@debian.org>  Sun, 12 Oct 2014 20:00:55 +0200

wml (2.0.12ds1-7) unstable; urgency=low

  * Add patch by KiBi to remove /tmp/ipp.* directories (Closes: #734507;
    reported by taffit on #debian-www)
  * Bump Standards-Version to 3.9.5 (no other changes)
  * Bump debhelper compatibility to 9
    + Update versioned debhelper build-dependency accordingly
    + Run dh_auto_configure in wml_common/gd before running it in "."
  * Only unexport build flags where they cause problems, not globally
  * Patch wml_common/gd/Makefile.PL.in to properly pass LDFLAGS
    + Fixes lintian warning hardening-no-relro
  * Override experimental lintian warning package-contains-broken-symlink
    for links from /usr/lib/wml/exec/ to /usr/bin/.
  * Refresh line-number in override for manpage-has-errors-from-man
  * Fix path logo → logos in debian/links
    + Fixes lintian warning package-contains-broken-symlink

 -- Axel Beckert <abe@debian.org>  Sun, 12 Jan 2014 02:17:35 +0100

wml (2.0.12ds1-6) unstable; urgency=low

  * Fix FTBFS with Perl 5.18. (Closes: #719495) Thanks to Salvatore
    Bonaccorso for the patch and Niko Tyni for the report.
  * Add meta-information headers to fix-test-suite-makefile.diff. Fixes
    lintian warning quilt-patch-missing-description.
  * Bump Standards-Version to 3.9.4 (no changes)
  * Fix some more spelling errors found by lintian.
  * Add patch meta-headers to debian/patches/manpage-fixes.diff
  * Add lintian override for manpage-has-errors-from-man due to overlong
    code example.

 -- Axel Beckert <abe@debian.org>  Tue, 13 Aug 2013 23:07:55 +0200

wml (2.0.12ds1-5) unstable; urgency=low

  * Change build-depedency libgd2-dev to libgd-dev. (It has been renamed
    after the initial announcement and libgd2-dev is now solely a virtual
    package.)
  * Fix test suite failures by properly cleaning up beforehand. For
    unknown reasons cleaning up in debian/rules does not suffice,
    wml_test/Makefile.in had to be patched. (Closes: #718088)

 -- Axel Beckert <abe@debian.org>  Mon, 29 Jul 2013 21:40:06 +0200

wml (2.0.12ds1-4) unstable; urgency=low

  * Update build-depedencies for libgd2-dev transition.
  * Clean up debian/rules
    - Move remaining "ln -vs" call to debian/links
    - Use debian/{clean,docs} instead of dh_{clean,installdocs} parameters
    - Use dh_auto_{configure,build,install,clean}. (Fixes wrong location
      of File::PathConvert(3pm) and WML::GD(3pm) man pages.)
    - Use "find -delete" instead of "find | xargs rm"
    - Remove obsolete chmod call (as dh_fixperms is called afterwards)
    - Also remove .spec.in files before building the .deb
    - Finally switch to a dh7 style debian/rules
  * Fixes the following lintian warnings:
    - vcs-field-not-canonical
    - package-contains-empty-directory
  * Apply wrap-and-sort

 -- Axel Beckert <abe@debian.org>  Mon, 20 May 2013 19:17:13 +0200

wml (2.0.12ds1-3) unstable; urgency=low

  * Fix FTBFS in testsuite on i386 and s390x buildds by not running those
    tests which only seem to work when connected to a terminal. (Closes:
    #675855)

 -- Axel Beckert <abe@debian.org>  Mon, 11 Jun 2012 00:38:03 +0200

wml (2.0.12ds1-2) unstable; urgency=low

  * Upload to unstable
  * Bump Standards-Version to 3.9.3 (no changes)
  * Bump debhelper compatibility to 8
  * Switch to source format "3.0 (quilt)"
  * Update watch file to also look for releases on new web page
  * Use dh_autotools-dev_*config instead of manually caring about
    config.{sub,guess}
  * Fix lintian warning debian-rules-missing-recommended-target
  * Make clean target clean up more with less lines
  * Add patch to fix broken version number replacing in wml(1) (Closes:
    #652567)
  * Update years in debian/copyright

 -- Axel Beckert <abe@debian.org>  Sun, 03 Jun 2012 01:54:06 +0200

wml (2.0.12ds1-1) experimental; urgency=low

  * New upstream release (Closes: #570240)
  * Fix bashism in debian/rules (Closes: #581460)
  * Update README.source to cover the somehow special get-orig-source
    target to repackage the upstream source code.
  * Refreshed patches
    + Dropped patches against wml_contrib/wmg.cgi and


=== debian/control ===
Source: wml
Section: web
Priority: optional
Maintainer: Debian WML Packaging Team <pkg-wml-maintainers@lists.alioth.debian.org>
Uploaders: Axel Beckert <abe@debian.org>
Standards-Version: 3.9.6
Build-Depends: autotools-dev,
               debhelper (>= 9~),
               eperl,
               freetable,
               libgd-dev | libgd2-xpm-dev | libgd2-noxpm-dev,
               libimage-size-perl,
               libpng-dev,
               libterm-readkey-perl,
               linklint,
               m4,
               mp4h,
               perl (>= 5.8.0),
               slice,
               txt2html,
               weblint-perl,
               zlib1g-dev
Homepage: http://www.shlomifish.org/open-source/projects/website-meta-language/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-wml/wml.git
Vcs-Git: git://anonscm.debian.org/pkg-wml/wml.git

Package: wml
Architecture: any
Depends: eperl (>= 2.2.14-2),
         libbit-vector-perl,
         libimage-size-perl,
         libterm-readkey-perl,
         m4 (>= 1.4-8),
         mp4h (>= 1.1.1-1),
         slice (>= 1.3.7-0.1),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Recommends: iselect (>= 1.2.0-2),
            libhtml-clean-perl (>= 0.7-3),
            linklint,
            tidy (>= 19990415-1),
            txt2html
Suggests: freetable,
          imagemagick,
          libwww-perl,
          shtool (>= 1.5.1-1),
          tardy,
          w3-recs,
          weblint-perl
Description: off-line HTML generation toolkit
 WML (Website META Language) is a free and extensible Webdesigner's
 off-line HTML generation toolkit for Unix.  WML consists of a control
 frontend driving up to nine backends in a sequential pass-oriented
 filtering scheme. Each backend provides one particular core language.
 For maximum power WML additionally ships with a well-suited set of
 include files which provide higher-level features build on top of the
 backends core languages. While not trivial and idiot proof WML provides
 most of the core features real hackers always wanted for HTML
 generation.

=== debian/rules ===
#!/usr/bin/make -f

SHELL = /bin/sh

r = $(shell pwd)/debian/wml
t = $(shell pwd)/debian/tmp
p = wml

# Repackaging variables
DEBIAN_REVISION := $(shell echo -n `head -1 debian/changelog | sed -e 's/^.*(\(.*\)).*$$/\\1/'`)
DEBIAN_VERSION := $(shell echo -n $(DEBIAN_REVISION) | sed -e 's/-.*//')
UPSTREAM_VERSION := $(shell echo -n $(DEBIAN_VERSION) | sed -e 's/ds[0-9]$$//')
UPSTREAM_DIR := "$(t)/wml-$(UPSTREAM_VERSION)"
DEBIAN_DIR := "$(t)/wml-$(UPSTREAM_VERSION).orig"

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with autotools-dev

override_dh_auto_configure:
	dh_auto_configure -Dwml_common/gd
	env -uCFLAGS -uCPPFLAGS -uLDFLAGS dh_auto_configure

override_dh_auto_install:
	dh_auto_install                              -- prefix=$(r)/usr mandir=$(r)/usr/share/man INSTALLDIRS=perl
	dh_auto_install -Dwml_common/filepathconvert -- prefix=$(r)/usr mandir=$(r)/usr/share/man INSTALLDIRS=perl
	dh_auto_install -Dwml_common/gd              -- prefix=$(r)/usr mandir=$(r)/usr/share/man INSTALLDIRS=perl
	# Install icons for wml::std::logo
	dh_auto_install -Dwml_misc -- libdir=$(r)/usr/share/wml

	find $(r)/usr -type f -name .packlist -delete
	find $(r) -type d -empty -delete
	#   Fix documentation
	for f in $(r)/usr/share/man/*/*; do \
	   sed -e 's|.*/\([^/	]*\)	.*/\([^/	]*\)|s/\2/\1/|' debian/links |\
	   sed -f - $$f > $$f.new && mv $$f.new $$f; \
	done

override_dh_installdocs:
	dh_installdocs
	find $(r) '(' -name '*.spec' -o -name '*.spec.in' ')' -delete

override_dh_perl:
	dh_perl usr/lib/wml/perl/lib

########################################################
### The remainder is just the get-orig-source target ###
########################################################
get-orig-source:
	# Prepare repackaging directory
	rm -rf $(t)
	mkdir -p $(t)
	# Unpack tar ball as downloaded by uscan(1)
	tar xvz -C $(t) -f ../wml_$(UPSTREAM_VERSION).orig.tar.gz
	# Rename directory
	mv -v $(UPSTREAM_DIR) $(DEBIAN_DIR)

	# We don't want upstream VCS stuff in our orig.tar.gz
	-find $(DEBIAN_DIR) -name .svn -exec rm -rvf '{}' ';'

	# Also remove stuff which should not belong in the upstream
	# distribution files either.
	find $(DEBIAN_DIR) -name '*~' -exec rm -vf '{}' ';'
	find $(DEBIAN_DIR) -name '*.tmp' -exec rm -rvf '{}' ';'

	# Remove stuff which will be removed by make distclean anyway
	find $(DEBIAN_DIR) -mindepth 1 -name '*.orig' -exec rm -rvf '{}' ';'
	rm -rvf $(DEBIAN_DIR)/wml_backend/p2_mp4h/autom4te.cache

	# Remove non-free stuff
	rm -vf $(DEBIAN_DIR)/wml_docs/wml_std_*.txt
	rm -vf $(DEBIAN_DIR)/wml_docs/wml_barebone.txt

	# This was maybe not the brightest idea, if one wants to
	# switch to dh-autoreconf...
	find $(DEBIAN_DIR) -name 'configure.in' -exec rm -vf '{}' ';'

	# Remove all embedded code copies not needed to build the
	# Debian package.
	rm -vf $(DEBIAN_DIR)/config/aclocal.m4
	rm -vf $(DEBIAN_DIR)/config/configure*
	rm -vf $(DEBIAN_DIR)/config/prep_modules_files.sh
	rm -rvf $(DEBIAN_DIR)/wml_aux/freetable
	rm -rvf $(DEBIAN_DIR)/wml_aux/txt2html
	rm -rvf $(DEBIAN_DIR)/wml_aux/htmlclean
	rm -rvf $(DEBIAN_DIR)/wml_aux/iselect
	rm -rvf $(DEBIAN_DIR)/wml_aux/linklint
	rm -rvf $(DEBIAN_DIR)/wml_aux/tidy
	rm -rvf $(DEBIAN_DIR)/wml_aux/weblint
	rm -rvf $(DEBIAN_DIR)/wml_backend/p2_mp4h
	rm -rvf $(DEBIAN_DIR)/wml_backend/p3_eperl
	rm -rvf $(DEBIAN_DIR)/wml_backend/p4_gm4
	rm -rvf $(DEBIAN_DIR)/wml_backend/p9_slice
	rm -rvf $(DEBIAN_DIR)/wml_common/bitvector
	rm -rvf $(DEBIAN_DIR)/wml_common/gd/libgd
	rm -rvf $(DEBIAN_DIR)/wml_common/getoptlong
	rm -rvf $(DEBIAN_DIR)/wml_common/imagesize
	rm -rvf $(DEBIAN_DIR)/wml_common/io
	rm -rvf $(DEBIAN_DIR)/wml_common/htmlclean
	rm -rvf $(DEBIAN_DIR)/wml_common/termreadkey
	# Do not remove wml_test for now.

	# Pack the Debian Source
	tar cv -C $(t) -f ../wml_$(DEBIAN_VERSION).orig.tar \
		wml-$(UPSTREAM_VERSION).orig
	gzip -9vf ../wml_$(DEBIAN_VERSION).orig.tar

	# Clean up again
	rm -rf $(t)

=== debian/watch ===
version=3
opts="dversionmangle=s/ds\d+$//,downloadurlmangle=s/prdownload/download/" \
http://developer.berlios.de/project/showfiles.php?group_id=5225 http://prdownload.berlios.de/thewml/wml-([0-9].*)\.tar.gz	debian	uupdate

opts="dversionmangle=s/ds\d+$//" \
https://bitbucket.org/shlomif/website-meta-language/downloads/wml-(.*).tar.bz2
